<?php 

// standard hack prevent 
define('IN_PHPBB', true);
define('IN_CASHMOD', true);
 
$phpbb_root_path = './'; 
include($phpbb_root_path . 'extension.inc'); 
include($phpbb_root_path . 'common.'.$phpEx); 
include($phpbb_root_path . '/includes/BrfGame.'.$phpEx);

//09 standard session management 
$userdata = session_pagestart($user_ip, PAGE_VPOKER); 
init_userprefs($userdata);
if (!$userdata['session_logged_in']) { 
	redirect($phpbb_root_path . 'login.'.$phpEx.'?redirect=Poker.'.$phpEx, true);
   }
include($phpbb_root_path . 'language/lang_' . $board_config['default_lang'] . '/lang_vcasino.'.$phpEx);

// set page title 
$page_title = $lang['VPoker'];

// standard page header 
include($phpbb_root_path . 'includes/page_header.'.$phpEx); 



// Get cash object for key #1 cash.
$poker_config=explode('|',$board_config['vcasino_poker']);
if (isset($cash)) {
    if (!($c_cur = $cash->currency(($poker_config[0]>0)?$poker_config[0]:1))) {
	message_die(GENERAL_ERROR, $lang['Casino_err_cash'], '', __LINE__, __FILE__, '');
    }
    $cname = $c_cur-> name(true,false);
    $cvar = $c_cur->db();
} else {
    $cname = $lang['Cash_Points'];
    $cvar = 'user_points';
} 
$mess='';

//assign template 


$template->set_filenames(array( 
        'body' => 'poker.tpl') 
); 
//Check user cookie.
$This_poker=Get_Brfstuff($userdata['user_gamecookie'],"VPoker");
if (!(isset($This_poker[0])) || !(isset($HTTP_POST_VARS['Mode']))) {
    $This_poker[0]="VPoker";
    $This_poker[1]="Null";
    }

//----$WinA=array(0,500,125,25,9,6,4,3,2,1);
$WinN=0;
$cashchg=0;
if ($This_poker[1]=="New") {
    //------------------------------
    // New deal
    //------------------------------
    $cards=explode('|','02C|03C|04C|05C|06C|07C|08C|09C|10C|11C|12C|13C|14C|02S|03S|04S|05S|06S|07S|08S|09S|10S|11S|12S|13S|14S|'.
 		   '02H|03H|04H|05H|06H|07H|08H|09H|10H|11H|12H|13H|14H|02D|03D|04D|05D|06D|07D|08D|09D|10D|11D|12D|13D|14D');
    shuffle($cards);
    $mess=$lang['Explain_Poker'];
    for ($idx=0; $idx<10; $idx++) {
	$This_poker[$idx+1]=$cards[$idx];
	}

    $betamt=(isset($HTTP_POST_VARS['Mode']))?$HTTP_POST_VARS['Mode']:sprintf($lang['Button_Bet_XX'],1);
    if (!(substr($betamt,0,strlen($lang['Button_Bet_XX']) - 2) 		==substr($lang['Button_Bet_XX'],0,strlen($lang['Button_Bet_XX']) - 2))) {
	$betamt=sprintf($lang['Button_Bet_XX'],1);
        }    
// -------- Purify the bet amount, which is the only user input
    $betmult=intval(substr($betamt,strlen($lang['Button_Bet_XX']) - 2));
//    $bcash = $userdata[$cvar];
    if ($userdata[$cvar] < $betmult) {
	$betmult=0;
	} 
//	else {
//    	$bcash -= $betmult;
//	}
    $betamt=sprintf($lang['Button_Bet_XX'],$betmult);
    $This_poker[11]=$betamt;
    $template->assign_block_vars('actbutton', array(
    		'BDESC' => $lang['Button_Hold_Deal'],
		'BWID' => 100
	    	));

   $cashchg = -$betmult;
} else {
    for ($idx=10; $idx<13; $idx++) {    
	$template->assign_block_vars('actbutton', array(
    		'BDESC' => sprintf($lang['Button_Bet_XX'],$poker_config[$idx]),
		'BWID' => 50
	    	));
   	}
	
if ($This_poker[1]=="Null") {
//    $bcash = $userdata[$cvar];
    $betmult=0;
    $cashchg = 0;
    $mess=$Lang['Choose_Bet'];
    $This_poker[1]="New";
    $cards[0]="000";
    $cards[1]="000";
    $cards[2]="000";
    $cards[3]="000";
    $cards[4]="000";
} else {
    $card=5;
    for ($idx=0; $idx<5; $idx++) {
	if ($HTTP_POST_VARS['hcard' . ($idx+1)] == '000') {
	    $card++;
	    $cards[$idx]=$This_poker[$card];
	} else {
	    $cards[$idx]=$This_poker[$idx+1];
	}

    }
    $betamt=$This_poker[11];
    $betmult=substr($betamt,strlen($lang['Button_Bet_XX']) - 2);
    $betamt="";
    $mess="&nbsp;";
    $This_poker[1]="New";
    $new_cards=array($cards[0], $cards[1], $cards[2], $cards[3], $cards[4]);
    sort($new_cards);
    $new_nums=array(substr($new_cards[0],0,2),substr($new_cards[1],0,2),substr($new_cards[2],0,2),
		    substr($new_cards[3],0,2),substr($new_cards[4],0,2));
    $new_suits=array(substr($new_cards[0],2,1),substr($new_cards[1],2,1),substr($new_cards[2],2,1),
		     substr($new_cards[3],2,1),substr($new_cards[4],2,1));
    if ($new_nums[1] == $new_nums[2] && $new_nums[2] == $new_nums[3] && 
       ($new_nums[0] == $new_nums[1] || $new_nums[3] == $new_nums[4])) { 
	$WinN = 3; // 4 of a kind
    } else{
    if ($new_nums[0] == $new_nums[1] && $new_nums[1] == $new_nums[2] ||
        $new_nums[1] == $new_nums[2] && $new_nums[2] == $new_nums[3] || 
        $new_nums[2] == $new_nums[3] && $new_nums[3] == $new_nums[4] ) { 
	if ($new_nums[0] == $new_nums[1] && !($new_nums[1] == $new_nums[2]) ||
	  !($new_nums[2] == $new_nums[3]) && $new_nums[3] == $new_nums[4]) {
		$WinN = 4; // Full House
	} else {
		$WinN = 7; // 3 of a Kind
	}  
    } else {
    if ($new_nums[0] == $new_nums[1] && ($new_nums[2] == $new_nums[3] ||
        $new_nums[3] == $new_nums[4]) || 
	$new_nums[1] == $new_nums[2] && $new_nums[3] == $new_nums[4] ) { 
		$WinN = 8; // 2 Pair
    } else {
    if ($new_nums[0] == $new_nums[1] && $new_nums[0] > 10 || 
	$new_nums[1] == $new_nums[2] && $new_nums[1] > 10 ||
        $new_nums[2] == $new_nums[3] && $new_nums[2] > 10 || 
	$new_nums[3] == $new_nums[4] && $new_nums[3] > 10) { 
		$WinN = 9; // 1 Pair
     } else {
     if ($new_nums[0] == $new_nums[1] || 
	 $new_nums[1] == $new_nums[2] ||
         $new_nums[2] == $new_nums[3] || 
	 $new_nums[3] == $new_nums[4] ) { 
		$WinN = 0; // 1 Pair
     } else {
     	if ($new_suits[0] == $new_suits[1] &&
	    $new_suits[1] == $new_suits[2] &&
	    $new_suits[2] == $new_suits[3] &&
	    $new_suits[3] == $new_suits[4]) {
		$WinN = 5; // Flush
	    }
     	if (($new_nums[0] +  4) == $new_nums[4] ||
	     $new_nums[0] == 2 &&
	     $new_nums[3] == 5 &&
	     $new_nums[4] == 14) { //Straight
		if ($WinN == 5) {
		    if ($new_nums[3]==13) {
			$WinN = 1;
		    } else {
		    	$WinN = 2;
		    }
		} else {
		    $WinN = 6;
		}
	    }
    }}}}}
    $cashchg = (($WinN>0)?($poker_config[$WinN] * $betmult):0);
}
}

$New_stuff = Save_Brfstuff($userdata['user_gamecookie'],$This_poker);
$sql = "UPDATE " . USERS_TABLE . " SET user_gamecookie  = '$New_stuff' , 
	$cvar = $cvar + $cashchg WHERE user_id = " . $userdata['user_id'];
	if ( !$db->sql_query($sql) )
		{
		message_die(GENERAL_ERROR, $lang['Casino_err_user'], '', __LINE__, __FILE__, $sql);
		}	
$template->assign_vars(array(
	    'BETAMT' => $betamt,
	    'MNAME' => $cname,
	    'MCURR' => ($userdata[$cvar] + $cashchg),
	    'MESS' => $mess,
	    'CARD1' => $cards[0],
	    'CARD2' => $cards[1],
	    'CARD3' => $cards[2],
	    'CARD4' => $cards[3],
	    'CARD5' => $cards[4],
	    'WIN'.$WinN => 'style="background-color: #CCFFCC"',
	    'L_HOLD_DEAL' => $lang['Button_Hold_Deal'],
	    'L_POKER' => $lang['VPoker'],
	    'L_HAND' => $lang['Hand'],
	    'L_PAYS' => $lang['Pays'],
	    'L_HAND_1' => $lang['Hand_1'],
	    'L_HAND_2' => $lang['Hand_2'],
	    'L_HAND_3' => $lang['Hand_3'],
	    'L_HAND_4' => $lang['Hand_4'],
	    'L_HAND_5' => $lang['Hand_5'],
	    'L_HAND_6' => $lang['Hand_6'],
	    'L_HAND_7' => $lang['Hand_7'],
	    'L_HAND_8' => $lang['Hand_8'],
	    'L_HAND_9' => $lang['Hand_9']
	   ));
for ($idx=1; $idx<10;$idx++) { 
  $template->assign_vars(array(
	'WINA' . $idx => $poker_config[$idx]
	   ));
}
$template->pparse('body'); 
// standard page footer 
include($phpbb_root_path . 'includes/page_tail.'.$phpEx); 
?>