<?php
/***************************************************************************
 *                            sitemap_posts.php
 *                           -------------------
 *		Version			: 1.0.0
 *		Email			: austin@phpbb-amod.com
 *		Site			: http://phpbb-tweaks.com
 *		Copyright		: aUsTiN-Inc 2003/5
 *
 ***************************************************************************/
 
define('IN_PHPBB', true);
$phpbb_root_path = './';
include($phpbb_root_path . 'extension.inc');
include($phpbb_root_path . 'common.'.$phpEx);

	$script_path 		= $board_config['script_path'];
	$script_path_len 	= strlen($board_config['script_path']);
	
		if ($script_path[0] != '/')
			$fixed_script_path = '/'. $board_config['script_path'];
			
		if (!$fixed_script_path)
			$fixed_script_path = $board_config['script_path'];
			
		if ($script_path[$script_path_len] != '/')
			$fixed_script_path = $fixed_script_path .'/';
			
define('F_URL', 'http://'. $board_config['server_name'] . str_replace('//', '/', $fixed_script_path)); 

#==== Grab all topic information (Limit 50,000 as thats googles limit)
	$q = "SELECT topic_id, forum_id
		  FROM ". TOPICS_TABLE ."
		  ORDER BY topic_id DESC
		  LIMIT 50000";
	$r 		= $db->sql_query($q);
	$topics = $db->sql_fetchrowset($r);

#==== Grab all forum information
	switch(SQL_LAYER)
		{
	case 'postgresql':
		$q = "SELECT f.*, p.post_time, p.post_username, u.username, u.user_id 
				FROM " . FORUMS_TABLE . " f, " . POSTS_TABLE . " p, " . USERS_TABLE . " u
				WHERE p.post_id = f.forum_last_post_id 
				AND u.user_id = p.poster_id  
				UNION (
					SELECT f.*, NULL, NULL, NULL, NULL
					FROM " . FORUMS_TABLE . " f
					WHERE NOT EXISTS (
						SELECT p.post_time
						FROM " . POSTS_TABLE . " p
						WHERE p.post_id = f.forum_last_post_id  
									)
						)
				ORDER BY cat_id, forum_order";
		break;

	case 'oracle':
		$q = "SELECT f.*, p.post_time, p.post_username, u.username, u.user_id 
				FROM " . FORUMS_TABLE . " f, " . POSTS_TABLE . " p, " . USERS_TABLE . " u
				WHERE p.post_id = f.forum_last_post_id(+)
				AND u.user_id = p.poster_id(+)
				ORDER BY f.cat_id, f.forum_order";
		break;

	default:
		$q = "SELECT f.*, p.post_time, p.post_username, u.username, u.user_id
				FROM (( " . FORUMS_TABLE . " f
				LEFT JOIN " . POSTS_TABLE . " p ON p.post_id = f.forum_last_post_id )
				LEFT JOIN " . USERS_TABLE . " u ON u.user_id = p.poster_id )
				ORDER BY f.cat_id, f.forum_order";
		break;
		}

	$r 		= $db->sql_query($q);
	$forums = $db->sql_fetchrowset($r);
	
#==== Print the map
	echo '<?xml version=\'1.0\' encoding=\'UTF-8\'?>';
	echo '	<urlset xmlns="http://www.google.com/schemas/sitemap/0.84"
			xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
			xsi:schemaLocation="http://www.google.com/schemas/sitemap/0.84
			http://www.google.com/schemas/sitemap/0.84/sitemap.xsd">';
	echo '   <url>';
	echo '      <loc>'. F_URL .'</loc>';
	echo '      <lastmod>'. date('Y-m-d') .'</lastmod>';
	echo '      <changefreq>daily</changefreq>';
	echo '   </url>';					
		
	for ($x = 0; $x < count($forums); $x++)
		{
	unset($allowed);
	
		if ( ($forums[$x]['auth_view'] == '0') && ($forums[$x]['auth_read'] == '0') )
			$allowed = TRUE;		
			
		if ($allowed)
			{
			#==== Build a new array for only allowed forum ids that match
			for ($y = 0; $y < count($topics); $y++)
				{
				if ($topics[$y]['forum_id'] == $forums[$x]['forum_id'])
					{
				echo '   <url>';
				echo '      <loc>'. F_URL .'viewtopic.'. $phpEx .'?'. POST_TOPIC_URL .'='. $topics[$y]['topic_id'] .'</loc>';
				echo '      <changefreq>daily</changefreq>';				
				echo '   </url>';
					}
				}
			}
		}
	
	echo '</urlset>';
?>